"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SlotRouter = void 0;
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
const lodash_1 = require("lodash");
function SlotRouter({ slot, rootRoutes, children, parentPath }) {
    const routes = (0, lodash_1.flatten)(slot.values());
    const withRoot = routes.concat(rootRoutes || []);
    const jsxRoutes = withRoot.map((route) => react_1.default.createElement(react_router_dom_1.Route, Object.assign({ key: toKey(route) }, route)));
    if (parentPath) {
        return (react_1.default.createElement(react_router_dom_1.Routes, null,
            react_1.default.createElement(react_router_dom_1.Route, { path: parentPath },
                jsxRoutes,
                children)));
    }
    return (react_1.default.createElement(react_router_dom_1.Routes, null,
        react_1.default.createElement(react_router_dom_1.Route, { path: parentPath },
            jsxRoutes,
            children)));
}
exports.SlotRouter = SlotRouter;
function toKey(route) {
    if (route.path)
        return route.path;
    if (route.index)
        return '/';
    return '.';
}
//# sourceMappingURL=slot-router.js.map